M_ActivityIntegralDrawCFG = {}

function M_ActivityIntegralDrawCFG:getData(key)
	if self.datas == nil then
		return nil
	end
	return self.datas[key]
end

function M_ActivityIntegralDrawCFG:init()
	self.datas = {}
	self.datas[1] = {ID = 1, ItemIDs = {16}, ItemCounts = {50}, weight = 80}
	self.datas[2] = {ID = 2, ItemIDs = {24}, ItemCounts = {1}, weight = 330}
	self.datas[3] = {ID = 3, ItemIDs = {1}, ItemCounts = {100000}, weight = 400}
	self.datas[4] = {ID = 4, ItemIDs = {25}, ItemCounts = {1}, weight = 60}
	self.datas[5] = {ID = 5, ItemIDs = {1}, ItemCounts = {300000}, weight = 105}
	self.datas[6] = {ID = 6, ItemIDs = {26}, ItemCounts = {1}, weight = 5}
	self.datas[7] = {ID = 7, ItemIDs = {1}, ItemCounts = {500000}, weight = 16}
	self.datas[8] = {ID = 8, ItemIDs = {94}, ItemCounts = {1}, weight = 3}
	self.datas[9] = {ID = 9, ItemIDs = {27}, ItemCounts = {1}, weight = 1}
end

M_ActivityIntegralDrawCFG:init()
